VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpStub Class Reference

Remote stub implementation of the Snmp API service. More...

Inherits vmware::appliance::techpreview::monitoring::Snmp.

List of all members.

## Public Member Functions
| SnmpStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Reset ()
| Restore settings to factory defaults.
void | Reset (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Restore settings to factory defaults.
global::System.Threading.Tasks.Task | ResetAsync ()
| Restore settings to factory defaults.
global::System.Threading.Tasks.Task | ResetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Restore settings to factory defaults.
void | Enable ()
| Start a disabled SNMP agent.
void | Enable (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Start a disabled SNMP agent.
global::System.Threading.Tasks.Task | EnableAsync ()
| Start a disabled SNMP agent.
global::System.Threading.Tasks.Task | EnableAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Start a disabled SNMP agent.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults | Hash (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config)
| Generate localized keys for secure SNMPv3 communications.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults | Hash (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate localized keys for secure SNMPv3 communications.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults > | HashAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config)
| Generate localized keys for secure SNMPv3 communications.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults > | HashAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate localized keys for secure SNMPv3 communications.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits | Limits ()
| Get SNMP limits information.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits | Limits (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get SNMP limits information.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits > | LimitsAsync ()
| Get SNMP limits information.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits > | LimitsAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get SNMP limits information.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly | Get ()
| Return an SNMP agent configuration.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Return an SNMP agent configuration.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly > | GetAsync ()
| Return an SNMP agent configuration.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Return an SNMP agent configuration.
void | Disable ()
| Stop an enabled SNMP agent.
void | Disable (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stop an enabled SNMP agent.
global::System.Threading.Tasks.Task | DisableAsync ()
| Stop an enabled SNMP agent.
global::System.Threading.Tasks.Task | DisableAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stop an enabled SNMP agent.
void | Set (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config)
| Set SNMP configuration.
void | Set (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set SNMP configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config)
| Set SNMP configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set SNMP configuration.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults | Test ()
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults | Test (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults > | TestAsync ()
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults > | TestAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats | Stats ()
| Generate diagnostics report for snmp agent.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats | Stats (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate diagnostics report for snmp agent.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats > | StatsAsync ()
| Generate diagnostics report for snmp agent.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats > | StatsAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate diagnostics report for snmp agent.

## Detailed Description

Remote stub implementation of the Snmp API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpStub::SnmpStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::techpreview::monitoring::SnmpStub::Disable | ( |  | ) | `[inline]`

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Disable | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::DisableAsync | ( |  | ) | `[inline]`

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::DisableAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Enable | ( |  | ) | `[inline]`

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Enable | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::EnableAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::EnableAsync | ( |  | ) | `[inline]`

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly vmware::appliance::techpreview::monitoring::SnmpStub::Get | ( |  | ) | `[inline]`

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly vmware::appliance::techpreview::monitoring::SnmpStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly> vmware::appliance::techpreview::monitoring::SnmpStub::GetAsync | ( |  | ) | `[inline]`

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly> vmware::appliance::techpreview::monitoring::SnmpStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults vmware::appliance::techpreview::monitoring::SnmpStub::Hash | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config | ) | `[inline]`

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.

Returns:
  SNMP hash result

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults vmware::appliance::techpreview::monitoring::SnmpStub::Hash | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  SNMP hash result

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults> vmware::appliance::techpreview::monitoring::SnmpStub::HashAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config | ) | `[inline]`

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.

Returns:
  SNMP hash result

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults> vmware::appliance::techpreview::monitoring::SnmpStub::HashAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  SNMP hash result

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits vmware::appliance::techpreview::monitoring::SnmpStub::Limits | ( |  | ) | `[inline]`

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits vmware::appliance::techpreview::monitoring::SnmpStub::Limits | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits> vmware::appliance::techpreview::monitoring::SnmpStub::LimitsAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits> vmware::appliance::techpreview::monitoring::SnmpStub::LimitsAsync | ( |  | ) | `[inline]`

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Reset | ( |  | ) | `[inline]`

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Reset | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::ResetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::ResetAsync | ( |  | ) | `[inline]`

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Set | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config | ) | `[inline]`

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.

Implements vmware::appliance::techpreview::monitoring::Snmp.

void vmware::appliance::techpreview::monitoring::SnmpStub::Set | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::SetAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config | ) | `[inline]`

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::SnmpStub::SetAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats vmware::appliance::techpreview::monitoring::SnmpStub::Stats | ( |  | ) | `[inline]`

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats vmware::appliance::techpreview::monitoring::SnmpStub::Stats | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats> vmware::appliance::techpreview::monitoring::SnmpStub::StatsAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats> vmware::appliance::techpreview::monitoring::SnmpStub::StatsAsync | ( |  | ) | `[inline]`

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults vmware::appliance::techpreview::monitoring::SnmpStub::Test | ( |  | ) | `[inline]`

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implements vmware::appliance::techpreview::monitoring::Snmp.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults vmware::appliance::techpreview::monitoring::SnmpStub::Test | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults> vmware::appliance::techpreview::monitoring::SnmpStub::TestAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implements vmware::appliance::techpreview::monitoring::Snmp.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults> vmware::appliance::techpreview::monitoring::SnmpStub::TestAsync | ( |  | ) | `[inline]`

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implements vmware::appliance::techpreview::monitoring::Snmp.

The documentation for this class was generated from the following file:

- SnmpStub.cs